Failed to upgrade redmine

2012-10-18 21:37 - Dmitry Petrov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I've tried to upgrade Redmine today from Canonical repo and faced with following error during configuration stage:

sudo apt-get dist-upgrade 

Чтение списков пакетов… Готово

Построение дерева зависимостей       

Чтение информации о состоянии… Готово

Расчёт обновлений…Готово

обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлен

о.

не установлено до конца или удалено 1 пакетов.

После данной операции, объём занятого дискового пространства возрастёт на 0 B.

Хотите продолжить [Д/н]? y

Настраивается пакет redmine (2.1.2+dfsg1-1~precise+13) ...

Inconsistent link in vendor/rails, please remove manually

dbconfig-common: writing config to /etc/dbconfig-common/redmine/instances/default.conf

Creating config file /etc/redmine/default/database.yml.new with new version

dbconfig-common: flushing administrative password

Populating database for redmine instance "default".

This may take a while.

WARNING: 'require 'rake/rdoctask'' is deprecated.  Please use 'require 'rdoc/task' (in RDoc 2.4.2+

)' instead.

    at /usr/lib/ruby/vendor_ruby/rake/rdoctask.rb

rake aborted!

superclass mismatch for class MysqlAdapter

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

Error when running rake db:migrate, check database configuration.

/var/lib/dpkg/info/redmine.postinst: 275: exit: Illegal number: -1

dpkg: не удалось обработать параметр redmine (--configure):

 подпроцесс установлен сценарий post-installation возвратил код ошибки 2

При обработке следующих пакетов произошли ошибки:

 redmine

E: Sub-process /usr/bin/dpkg returned an error code (1)

 Package version: 2.1.2+dfsg1-1~precise+13

System info:

Ubuntu 12.04 (server) 3.2.0-23-generic-pae #36-Ubuntu SMP Tue Apr 10 22:19:09 UTC 2012 i686 athlon i386 GNU/Linux

VirtualBox machine with 512Mb RAM

History

#1 - 2012-10-18 22:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, no support request here in the issue tracker.

Powered by TCPDF (www.tcpdf.org)

2025-06-29 1/1

http://www.tcpdf.org

